ServerEvents.recipes(ice_and_fire_magic => {
  ice_and_fire_magic.remove({ id: 'industrialforegoingsouls:soul_laser_base' })
  ice_and_fire_magic.shaped('industrialforegoingsouls:soul_laser_base', ['ABA', 'CDC', 'GSG'], {
    A: '#forge:plastic',
    B: 'minecraft:sculk_shrieker',
    C: 'minecraft:iron_bars',
    D: '#industrialforegoing:machine_frame/advanced',
    G: '#forge:gears/unobtainium',
    S: 'minecraft:sculk_catalyst'
  })

  ice_and_fire_magic.remove({ id: 'industrialforegoingsouls:soul_surge' })
  ice_and_fire_magic.shaped('industrialforegoingsouls:soul_surge', ['ABA', 'CBC', 'CPC'], {
    A: 'allthemodium:allthemodium_block',
    B: '#forge:plastic',
    C: 'minecraft:echo_shard',
    P: 'minecraft:piston',
  })
})